0

i have tried compiling this and also with the one i got from its manufactures. both are giving same make error.. When i make all....

make[2]: *** [/home/user/Downloads/rtl8188eu-4.1.8_9499/os_dep/ioctl_cfg80211.o] Error 1
make[1]: *** [_module_/home/user/Downloads/rtl8188eu-4.1.8_9499] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.13.0-53-generic'
make: *** [modules] Error 2

also my kernel headers(generic also) are up to date.

  • Please edit your question and add the output of apt-cache policy linux-headers-3.13.0-53-generic – A.B. May 30 '15 at 10:38
0

You compile a wrong branch for your kernel. Do this

sudo apt-get install git
git clone https://github.com/lwfinger/rtlwifi_new.git
cd rtlwifi_new
make
sudo make install
  • And why is https://github.com/lwfinger/rtl8188eu the wrong branch? In github.com/lwfinger/rtlwifi_new are only drivers for rtl8192ce, rtl8192se, rtl8192de, rtl8188ee, rtl8192ee, rtl8723ae, rtl8723be, and rtl8821ae. And I can compile the branch github.com/lwfinger/rtl8188eu/tree/v4.1.8_9499 with the 3.x kernel. – A.B. May 30 '15 at 10:29
  • This correct repo, but branch master should be tried. I can look what code change is, but it will work from rtlwifi_new either way. – Pilot6 May 30 '15 at 10:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.